package com.lion.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class CheckUtil {
	/**
	 * 
	 * 方法描述 名称中不能出现特殊符号
	 * 
	 * @author mt.W
	 * @since 2019年3月15日
	 * @param str
	 * @return
	 */
	public static boolean checkStrIsName(String str) {
		String check = "[`~!@#$%^&*()+=|{}':;'\\[\\]<>/?~！@#￥%……&*——+|{}【】‘；：”“’。，、？]";
		Pattern pattern = Pattern.compile(check);
		Matcher matcher = pattern.matcher(str);
		return matcher.find();
	}
	/**
	 * 方法描述 是否是邮箱
	 * 
	 * @author dlm
	 * @since 2019年2月26日
	 * @param str
	 * @return
	 */
	public static boolean checkStrIsEmail(String str) {
		String check = "^([a-z0-9A-Z]+[-|_|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";
		Pattern pattern = Pattern.compile(check);
		Matcher matcher = pattern.matcher(str);
		return matcher.matches();
	}
	/**
	 * 方法描述 验证字符串是否是手机号
	 * 
	 * @author dlm
	 * @since 2019年2月26日
	 * @param str
	 * @return
	 */
	public static boolean checkStrIsPhone(String str) {
		String check = "^1[345789]\\d{9}$";
		Pattern pattern = Pattern.compile(check);
		Matcher matcher = pattern.matcher(str);
		return matcher.matches();
	}
	/**
	 * 方法描述 校验是否是数字
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param str
	 * @return	
	 */
	public static boolean checkStrIsNum(String str){
		Pattern pattern = Pattern.compile("[0-9]*");
		return pattern.matcher(str).matches();
	}
	/**
	 * 方法描述 校验是否为金额
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param str
	 * @return	
	 */
	public static boolean checkStrIsMoney(String str){
		String reg_money = "\\d+(\\.\\d{1,2})?";// 金额正则,可以没有小数，小数最多不超过两位
        Pattern pattern = Pattern.compile(reg_money);
        Matcher matcher = pattern.matcher("5566.21");
        return matcher.matches();
	}
}
